Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid
Class DefaultProperties

    java.lang.Object
      org.modeshape.sequencer.teiid.DefaultProperties

    public class DefaultProperties

extends Object

Field Summary
`protected static DefaultProperties` | `instance`
`protected static Set<String>` | `KEYWORDS`

Method Summary
`protected static List<String>` | `findSupertypes(String nodeTypeDefnLine)`
`Object` | `getDefaultFor(String nodeTypeName, String property)`
`static DefaultProperties` | `getDefaults()`
`Map<String,Object>` | `getDefaultsFor(String nodeTypeName)`
`protected static void` | `loadDefaultsFromCnd(String resourceName, Map<String,Map<String,Object>> defaultValuesByType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEYWORDS

    protected static Set<String> KEYWORDS

### instance

    protected static DefaultProperties instance

Method Detail

### loadDefaultsFromCnd

    protected static void loadDefaultsFromCnd(String resourceName,
                                              Map<String,Map<String,Object>> defaultValuesByType)
                                       throws IOException

  Throws:
    `IOException`

### findSupertypes

    protected static List<String> findSupertypes(String nodeTypeDefnLine)

### getDefaults

    public static DefaultProperties getDefaults()
                                         throws IOException

  Throws:
    `IOException`

### getDefaultFor

    public Object getDefaultFor(String nodeTypeName,
                                String property)

### getDefaultsFor

    public Map<String,Object> getDefaultsFor(String nodeTypeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.